gtk-0.12.4: Binding to the Gtk+ graphical user interface library.

Portability | portable (depends on GHC)
Stability | provisional
Maintainer | gtk2hs-users@lists.sourceforge.net
Safe Haskell | None

Graphics.UI.Gtk.Buttons.VolumeButton

Contents

- Detail
- Class Hierarchy
- Types
- Constructors

Description

A button which pops up a volume control

- Module available since Gtk+ version 2.12

Synopsis

- data VolumeButton
- class ScaleButtonClass o => VolumeButtonClass o
- castToVolumeButton :: GObjectClass obj => obj -> VolumeButton
- toVolumeButton :: VolumeButtonClass o => o -> VolumeButton
- volumeButtonNew :: IO VolumeButton

# Detail

`VolumeButton` is a subclass of `ScaleButton` that has been tailored for use as a volume control widget with suitable icons, tooltips and accessible labels.

# Class Hierarchy

     | GObject
     | +----Object
     | +----Widget
     | +----Container
     | +----Bin
     | +----Button
     | +----ScaleButton
     | +----VolumeButton

# Types

data VolumeButton

Instances

Eq VolumeButton |
Ord VolumeButton |
GObjectClass VolumeButton |
VolumeButtonClass VolumeButton |
ScaleButtonClass VolumeButton |
ButtonClass VolumeButton |
BinClass VolumeButton |
ContainerClass VolumeButton |
WidgetClass VolumeButton |
ObjectClass VolumeButton |

class ScaleButtonClass o => VolumeButtonClass o

Instances

VolumeButtonClass VolumeButton |

castToVolumeButton :: GObjectClass obj => obj -> VolumeButton

toVolumeButton :: VolumeButtonClass o => o -> VolumeButton

# Constructors

volumeButtonNew :: IO VolumeButton

Creates a `VolumeButton`, with a range between 0.0 and 1.0, with a stepping of 0.02. Volume values can be obtained and modified using the functions from `ScaleButton`.